Debian Bug report logs - #338949
ITA: euler -- an interactive mathematical program

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Marco Presi \(Zufus\)" <zufus@debian.org>

Date: Mon, 14 Nov 2005 00:33:02 UTC

Owned by: "Frank S. Thomas" <frank@thomas-alfeld.de>

Severity: normal

Fixed in version euler/1.61.0-1

Done: frank@thomas-alfeld.de (Frank S. Thomas)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#338949; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marco Presi \(Zufus\)" <zufus@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marco Presi \(Zufus\)" <zufus@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: euler -- an interactive mathematical program
Date: Sun, 13 Nov 2005 19:23:24 -0500
Package: wnpp
Severity: normal


I intend to orphan the euler package.

The code it's really old and not maintained.


The code contains a lot of errors (functions that return different types
instead the expecetd ones, illegal casts, illegal memories
allocations,..): probably this code could be acceptable 10 years ago..
but now I think it needs a rewriting that I have no time to do alone.

For the moment I will orphan the package, but I think it probably could
be safely removed from the archive.

Regards

        Marco


The package description is:
 euler is an interactive program which does computations involving
 real and complex numbers, matrices, and intervals. It draws the functions
 in two or three dimensions.
 .
 This package contains main program.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to it_IT.UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#338949; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Frank S. Thomas" <frank@thomas-alfeld.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 338949@bugs.debian.org (full text, mbox):

From: "Frank S. Thomas" <frank@thomas-alfeld.de>
To: 338949@bugs.debian.org, debian-mentors@lists.debian.org
Subject: ITA and RFS: euler -- an interactive mathematical program
Date: Tue, 19 Sep 2006 19:36:33 +0200
[Message part 1 (text/plain, inline)]
retitle 338949 ITA: euler -- an interactive mathematical program
owner 338949 !
thanks

Hi!

I intend to adopt euler and since I'm not a DD I'm also looking for a sponsor 
for my updated package which is available at: 
http://frank.thomas-alfeld.de/download/debian/euler/
http://frank.thomas-alfeld.de/download/debian/euler/euler_1.61.0-1_source.changes

Thanks,
Frank
-- 
"Die beiden Männer sonnten sich in dem herrlichen Gefühl, weitaus
weniger zu wissen als gewöhnliche Leute, die nur von gewöhnlichen
Dingen nichts wußten."
                   -- Terry Pratchett in "Das Erbe des Zauberers"
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from "Frank S. Thomas" <frank@thomas-alfeld.de> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as "Frank S. Thomas" <frank@thomas-alfeld.de>. Request was from "Frank S. Thomas" <frank@thomas-alfeld.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to frank@thomas-alfeld.de (Frank S. Thomas):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Marco Presi \(Zufus\)" <zufus@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 338949-close@bugs.debian.org (full text, mbox):

From: frank@thomas-alfeld.de (Frank S. Thomas)
To: 338949-close@bugs.debian.org
Subject: Bug#338949: fixed in euler 1.61.0-1
Date: Sat, 23 Sep 2006 10:32:07 -0700
Source: euler
Source-Version: 1.61.0-1

We believe that the bug you reported is fixed in the latest version of
euler, which is due to be installed in the Debian FTP archive:

euler-doc_1.61.0-1_all.deb
  to pool/main/e/euler/euler-doc_1.61.0-1_all.deb
euler_1.61.0-1.diff.gz
  to pool/main/e/euler/euler_1.61.0-1.diff.gz
euler_1.61.0-1.dsc
  to pool/main/e/euler/euler_1.61.0-1.dsc
euler_1.61.0-1_i386.deb
  to pool/main/e/euler/euler_1.61.0-1_i386.deb
euler_1.61.0.orig.tar.gz
  to pool/main/e/euler/euler_1.61.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 338949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank S. Thomas <frank@thomas-alfeld.de> (supplier of updated euler package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 22 Sep 2006 03:02:24 +0200
Source: euler
Binary: euler euler-doc
Architecture: source i386 all
Version: 1.61.0-1
Distribution: unstable
Urgency: low
Maintainer: Frank S. Thomas <frank@thomas-alfeld.de>
Changed-By: Frank S. Thomas <frank@thomas-alfeld.de>
Description: 
 euler      - interactive mathematical programming environment
 euler-doc  - documentation for the mathematical programming environment Euler
Closes: 286272 338949 375772
Changes: 
 euler (1.61.0-1) unstable; urgency=low
 .
   * New upstream release.
   * New maintainer. (closes: #338949)
   * Switched packaging to CDBS and set debhelper compat level to 5.
   * debian/control:
     - Since this version of Euler is a port to GTK+ 2, the build dependency on
       libgtk1.2-dev was changed to libgtk2.0-dev (>= 2.6.0).
     - Removed "galeon | www-browser" from the Recommends field because
       sensible-browser from the debianutils package is now the default browser
       in src/rc.h.
     - Moved euler-doc to section doc.
     - Added euler-doc resp. euler to euler's resp. euler-doc's Suggest field.
     - Added a list of features to Euler's long description.
     - Require debhelper (>= 5).
   * Fixed documentation URI using the patch from Davide Prina.
     (closes: #286272)
   * Added euler.desktop file from Vassilis Pandis. (closes: #375772)
   * Removed unnecessary debian/postinst script. Debhelper will create it, if
     it is needed for e.g. updating menus.
   * Added actual copyright information to debian/copyright.
   * Added debian/watch file.
Files: 
 db3b5f84fbd2577774535841c4c48bc6 619 math optional euler_1.61.0-1.dsc
 4a45d7aaba2b73c7978e6d5623141103 1202485 math optional euler_1.61.0.orig.tar.gz
 ac99cbf9bd37a111722d6c4ba2c4aba9 3951 math optional euler_1.61.0-1.diff.gz
 dfa50e42f079280d736555f005c41a62 408598 doc optional euler-doc_1.61.0-1_all.deb
 67a6d311579320e17908b56ee7439004 392110 math optional euler_1.61.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFFW2qpdwBkPlyvgMRAhAdAKCB1T0EbjWpsFoASCi0eSX08pPBawCeN2YN
J6hY+YWovW1lpWSp0EMz07U=
=QuWJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:40:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:59:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.